For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
      • GETGet Synced Records
      • GETGet Single Synced Record
      • POSTPush Object
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounting integrationAccounting synchronized records

Get Single Synced Record

GET
/accounting_synced_records/:synced_record_id
GET
/v1/accounting_synced_records/:synced_record_id
$curl https://api.sandbox.monite.com/v1/accounting_synced_records/synced_record_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "last_pulled_at": "2024-01-15T09:30:00Z",
6 "object_type": "product",
7 "sync_status": "pending",
8 "errors": {
9 "key": "value"
10 },
11 "object_id": "object_id",
12 "object_updated_at": "2024-01-15T09:30:00Z",
13 "platform": "xero",
14 "platform_object_id": "platform_object_id",
15 "platform_updated_at": "2024-01-15T09:30:00Z",
16 "provider": "codat",
17 "provider_object_id": "provider_object_id",
18 "provider_updated_at": "2024-01-15T09:30:00Z"
19}
Get synchronized record by id
Was this page helpful?
Previous

Push Object

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

synced_record_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
updated_atdatetime
last_pulled_atdatetime
object_typeenum
sync_statusenum
Allowed values:
errorsmap from strings to any
object_idstringformat: "uuid"
object_updated_atdatetime
platformenum
Allowed values:
platform_object_idstring
platform_updated_atdatetime
providerenum
Allowed values:
provider_object_idstring
provider_updated_atdatetime

Errors

422
Get Accounting Synced Records ID Request Unprocessable Entity Error
500
Get Accounting Synced Records ID Request Internal Server Error